## mesa 7.0.3~rc2-1ubuntu3trisquel1

=== debian/changelog ===
mesa (7.0.3~rc2-1ubuntu3trisquel1) trisquel; urgency=low

  * Update debian/copyright to the SGI Free Software License B, version
    2.0.

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Mon, 21 Sep 2009 13:57:11 +0000

mesa (7.0.3~rc2-1ubuntu3) hardy; urgency=low

  * debian/patches/107_fix_-ve_rhw_regression.patch: Fixes regression
    introduced upstream where a -ve rhw workaround is being applied only
    for IGD systems, when it should be applied only for *non*-IGD systems.
    This resulted in rendering issues in 3D games and drawing programs.
    (LP: #199823, #206287)

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 04 Apr 2008 19:46:40 -0700

mesa (7.0.3~rc2-1ubuntu2) hardy; urgency=low

  [ Laurent Bigonville ]
  * debian/patches/105_vblank_fix.patch: Fix "drmWaitVBlank returned -1" error
    (LP: #186764)

  [ Timo Aaltonen ]
  * Add 106_i965_wine_fix.diff from upstream, "Only call
    ProgramStringNotify if program parsing succeeded". (LP: #178292)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed, 12 Mar 2008 12:33:41 +0200

mesa (7.0.3~rc2-1ubuntu1) hardy; urgency=low

  * Merge from debian unstable (LP: #189167), remaining changes:
    - Change maintainer address.
    - Drop lesstif-dev from Build-Depends.
    - Comment out GLw libs from control.
    - Add lpia to -dri and -dri-dbg package in debian/control.
    - Add lpia to ARCH_X86 in configs/debian-dri-default.
    - Add 101_ubuntu_hidden_glname.patch
    - Add 102_ubuntu_no_glw.patch
  * Drop patch 103_fix_rv410se.diff, applied upstream.
  * Add 103_dlopen_in_driveropen.diff and 104_fix_driveropen.diff from
    upstream; "Always call dlopen in DriverOpen". (LP: #189580)
 
 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 26 Feb 2008 13:07:45 +0200

mesa (7.0.3~rc2-1) unstable; urgency=low

  * New upstream release candidate.
    + enable user-defined clip planes for R300 (closes: #408679)
    + 03_optional-progs-and-install.patch: partly applied upstream, fixed up
  * Stop building with -O0 on hppa. Bug #451047 should be fixed in recent gcc
    versions.

 -- Julien Cristau <jcristau@debian.org>  Sun, 24 Feb 2008 10:22:54 +0100

mesa (7.0.2-4ubuntu2) hardy; urgency=low

  * 103_fix_rv410se.diff:
    - patch from upstream; "Fix rendering on x700 SE chips."
      (LP: #151974)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed, 30 Jan 2008 13:18:23 +0200

mesa (7.0.2-4ubuntu1) hardy; urgency=low

  * Merge from debian unstable (LP: #151974), remaining changes:
    - Change maintainer address.
    - Drop lesstif-dev from Build-Depends.
    - Comment out GLw libs from control.
    - Add lpia to -dri and -dri-dbg package in debian/control.
    - Add lpia to ARCH_X86 in configs/debian-dri-default.
    - Add 101_ubuntu_hidden_glname.patch
    - Add 102_ubuntu_no_glw.patch

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 29 Jan 2008 12:09:30 +0200

mesa (7.0.2-4) unstable; urgency=low

  * Update to mesa_7_0_branch head (commit 48ae5cf0).
  * Add Vcs-Git, Vcs-Browser and Homepage fields in debian/control.

 -- Julien Cristau <jcristau@debian.org>  Thu, 17 Jan 2008 22:23:06 +0100

mesa (7.0.2-3ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Change maintainer address.
    - Drop lesstif-dev from Build-Depends.
    - Comment out GLw libs from control.
    - Add lpia to -dri and -dri-dbg package in debian/control.
    - Add lpia to ARCH_X86 in configs/debian-dri-default.
    - Add 101_ubuntu_hidden_glname.patch
    - Add 102_ubuntu_no_glw.patch
  * debian/control: Do not build-depend on gcc-3.4 anymore.
  * Drop 110_ubuntu_use_gcc-3.4_for_i965.patch

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Sat, 05 Jan 2008 00:45:31 +0200

mesa (7.0.2-3) unstable; urgency=low

  * Update to mesa_7_0_branch head (commit 0107acde).
  * Bump Standards-Version to 3.7.3.
  * Move libgl1-mesa-swx11-dbg, mesa-common-dev and libosmesa6-dev to section
    libdevel.
  * libgl1-mesa-swx11 conflicts with libgl1-mesa-glx.  Move it and
    libgl1-mesa-swx11-dev to priority extra.
  * Fix typo in mesa-common-dev's long description.

 -- Julien Cristau <jcristau@debian.org>  Tue, 18 Dec 2007 19:13:18 +0100

mesa (7.0.2-2ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Change maintainer address.
    - Add gcc-3.4 as a build dependency for amd64, i386 and lpia.
    - Drop lesstif-dev from Build-Depends.
    - Comment out GLw libs from control.
    - Add lpia to -dri and -dri-dbg package in debian/control.
    - Add lpia to ARCH_X86 in configs/debian-dri-default.
    - Add 101_ubuntu_hidden_glname.patch
    - Add 102_ubuntu_no_glw.patch
    - Add 110_ubuntu_use_gcc-3.4_for_i965.patch
  
 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Fri, 16 Nov 2007 09:00:24 +0200

mesa (7.0.2-2) unstable; urgency=low

  [ Julien Cristau ]
  * Don't set -fno-strict-aliasing in configs/debian-default.  It is set
    upstream now.
  * Workaround gcc ICE on hppa: build libOSMesa with -O0 (see bug#451047).
  * Add build-dep on libxext-dev.  Thanks, Timo Aaltonen!

 -- Brice Goglin <bgoglin@debian.org>  Tue, 13 Nov 2007 21:43:40 +0100

mesa (7.0.2-1ubuntu2) hardy; urgency=low

  * Add libxext-dev to Build-Depends.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Mon, 12 Nov 2007 14:50:38 +0200

mesa (7.0.2-1ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Change maintainer address.
    - Add gcc-3.4 as a build dependency for amd64, i386 and lpia.
    - Drop lesstif-dev from Build-Depends.
    - Comment out GLw libs from control.
    - Add lpia to -dri and -dri-dbg package in debian/control.
    - Add lpia to ARCH_X86 in configs/debian-dri-default.
    - Add 101_ubuntu_hidden_glname.patch
    - Add 102_ubuntu_no_glw.patch
    - Add 110_ubuntu_use_gcc-3.4_for_i965.patch
  
 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Mon, 12 Nov 2007 12:55:33 +0200

mesa (7.0.2-1) unstable; urgency=low

  * New upstream release.
    + Fix Blender crash in triangle_twoside(), closes: #439668, #446315.


=== debian/control ===
Source: mesa
Section: graphics
Priority: optional
Maintainer: Rubén Rodríguez <ruben@trisquel.info>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Thierry Reding <thierry@gilfi.de>, Julien Cristau <jcristau@debian.org>, David Nusinow <dnusinow@debian.org>, Brice Goglin <bgoglin@debian.org>
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5), quilt (>= 0.40), pkg-config, libdrm-dev (>= 2.2.0) [!hurd-i386], libx11-dev, xutils-dev, x11proto-gl-dev (>= 1.4.8), libxxf86vm-dev, libexpat1-dev, dpkg-dev (>= 1.13.19), libxfixes-dev, libxdamage-dev, libxext-dev
Vcs-Git: git://git.debian.org/git/pkg-xorg/lib/mesa
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/lib/mesa.git
Homepage: http://mesa3d.sourceforge.net/

Package: libgl1-mesa-swx11
Section: libs
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, libosmesa6 (>= 6.5.2-1)
Conflicts: mesag3-glide, mesag3-glide2, mesag3+ggi, libgl1, nvidia-glx, mesag3, libgl1-mesa-swrast
Provides: libgl1, mesag3, libgl1-mesa-swrast
Replaces: libgl1, mesag3, libgl1-mesa-swrast
Description: A free implementation of the OpenGL API -- runtime
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the author makes no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This library provides a pure software rasteriser; it does not provide
 a direct rendering-capable library, or one which uses GLX.  For that,
 please see libgl1-mesa-glx.
 .
 On Linux, this library is also known as libGL or libGL.so.1.

Package: libgl1-mesa-swx11-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libgl1-mesa-swx11 (= ${binary:Version})
Conflicts: libgl1-mesa-swrast-dbg
Provides: libgl1-mesa-swrast-dbg
Replaces: libgl1-mesa-swrast-dbg
Description: A free implementation of the OpenGL API -- debugging symbols
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the author makes no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This library provides a pure software rasteriser; it does not provide
 a direct rendering-capable library, or one which uses GLX.  For that,
 please see libgl1-mesa-glx.
 .
 On Linux, this library is also known as libGL or libGL.so.1.
 .
 This package contains debugging symbols for the software rasterization GL
 library.

Package: libgl1-mesa-swx11-i686
Section: libs
Priority: extra
Architecture: i386
Pre-Depends: libgl1-mesa-swx11
Description: Mesa OpenGL runtime [i686 optimized]
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the author makes no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This library provides a pure software rasteriser; it does not provide
 a direct rendering-capable library, or one which uses GLX.  For that,
 please see libgl1-mesa-glx.
 .
 On Linux, this library is also known as libGL or libGL.so.1.
 .
 This set of libraries is optimized for i686 machines and will only be used if
 you are running a 2.6 kernel on an i686 class CPU. This includes Pentium Pro,
 Pentium II/II/IV, Celeron CPU's and similar class CPU's (including clones
 such as AMD Athlon/Opteron, VIA C3 Nehemiah, but not VIA C3 Ezla).

Package: libgl1-mesa-swx11-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libgl1-mesa-swx11 (= ${binary:Version}), libc6-dev, libx11-dev, libxext6, mesa-common-dev (= ${source:Version})
Provides: libgl-dev, mesag-dev, libgl1-mesa-swrast-dev
Conflicts: mesa-dev, libgl-dev, mesag3 (<< 3.1-1), nvidia-glx-dev, mesag-dev, libgl1-mesa-swrast-dev
Replaces: libgl-dev, mesag-dev, libgl1-mesa-swrast-dev
Description: A free implementation of the OpenGL API -- development files
 This package provides the development environment required for
 compiling programs with Mesa.  For a complete description of Mesa,
 please look at the libgl1-mesa-swx11 package.
 .
 This library provides a pure software rasteriser; it does not provide
 a direct rendering-capable library, or one which uses GLX.  For that,
 please see libgl1-mesa-dev.

Package: libgl1-mesa-glx
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libgl1, libgl1-mesa-dri (<< 6.4.0)
Replaces: libgl1, libgl1-mesa-dri (<< 6.4.0)
Provides: libgl1
Description: A free implementation of the OpenGL API -- GLX runtime
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the modules themselves: these can be found
 in the libgl1-mesa-dri package.
 .
 For a complete description of Mesa, please look at the
 libgl1-mesa-swx11 package.

Package: libgl1-mesa-glx-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libgl1-mesa-glx (= ${binary:Version})
Description: Debugging symbols for the Mesa GLX runtime
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the modules themselves: these can be found
 in the libgl1-mesa-dri package.
 .
 For a complete description of Mesa, please look at the
 libgl1-mesa-swx11 package.
 .
 This package contains debugging symbols for the GL library with GLX and DRI
 capabilities.

#Package: libgl1-mesa-glx-i686
#Section: libs
#Priority: extra
#Architecture: i386
#Pre-Depends: libgl1-mesa-glx
#Description: A free implementation of the OpenGL API -- GLX runtime [i686 optimized]
# This version of Mesa provides GLX and DRI capabilities: it is capable of
# both direct and indirect rendering.  For direct rendering, it can use DRI
# modules from the libgl1-mesa-dri package to accelerate drawing.
# .
# This package does not include the modules themselves: these can be found
# in the libgl1-mesa-dri package.
# .
# For a complete description of Mesa, please look at the
# libgl1-mesa-swx11 package.
# .
# This set of libraries is optimized for i686 machines and will only be used if
# you are running a 2.6 kernel on an i686 class CPU. This includes Pentium Pro,
# Pentium II/II/IV, Celeron CPU's and similar class CPU's (including clones
# such as AMD Athlon/Opteron, VIA C3 Nehemiah, but not VIA C3 Ezla).

Package: libgl1-mesa-dri
Section: libs
Priority: optional
Architecture: alpha amd64 arm armeb armel hppa i386 ia64 kfreebsd-i386 kfreebsd-amd64 lpia m68k mips mipsel powerpc s390 sparc
Depends: ${shlibs:Depends}, libgl1-mesa-glx (= ${binary:Version})
Suggests: libglide3
Conflicts: xlibmesa-dri (<< 1:7.0.0)
Replaces: xlibmesa-dri (<< 1:7.0.0)
Description: A free implementation of the OpenGL API -- DRI modules
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the OpenGL library itself, only the DRI
 modules for accelerating direct rendering.
 .
 For a complete description of Mesa, please look at the
 libgl1-mesa-swx11 package.
 .
 The tdfx DRI module needs libglide3 to enable direct rendering.

Package: libgl1-mesa-dri-dbg
Section: libdevel
Priority: extra
Architecture: alpha amd64 arm armeb armel hppa i386 ia64 kfreebsd-i386 kfreebsd-amd64 lpia m68k mips mipsel powerpc s390 sparc
Depends: libgl1-mesa-dri (= ${binary:Version})
Description: Debugging symbols for the Mesa DRI modules
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the OpenGL library itself, only the DRI
 modules for accelerating direct rendering.
 .
 For a complete description of Mesa, please look at the
 libgl1-mesa-swx11 package.
 .
 This package contains debugging symbols for the DRI modules.

#Package: libgl1-mesa-dri-i686
#Section: libs
#Priority: extra
#Architecture: i386
#Pre-Depends: libgl1-mesa-dri
#Description: A free implementation of the OpenGL API -- DRI modules [i686 optimized]
# This version of Mesa provides GLX and DRI capabilities: it is capable of
# both direct and indirect rendering.  For direct rendering, it can use DRI
# modules from the libgl1-mesa-dri package to accelerate drawing.
# .
# This package does not include the OpenGL library itself, only the DRI
# modules for accelerating direct rendering.
# .
# For a complete description of Mesa, please look at the
# libgl1-mesa-swx11 package.
# .
# This set of libraries is optimized for i686 machines and will only be used if
# you are running a 2.6 kernel on an i686 class CPU. This includes Pentium Pro,
# Pentium II/II/IV, Celeron CPU's and similar class CPU's (including clones
# such as AMD Athlon/Opteron, VIA C3 Nehemiah, but not VIA C3 Ezla).

Package: libgl1-mesa-dev
Section: libdevel
Architecture: all
Depends: libc6-dev, mesa-common-dev (= ${source:Version}), libgl1-mesa-glx (>= ${source:Upstream-Version})
Conflicts: libgl-dev, libgl1-mesa-dri-dev
Replaces: libgl-dev, libgl1-mesa-dri-dev
Provides: libgl-dev, libgl1-mesa-dri-dev
Description: A free implementation of the OpenGL API -- GLX development files
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package includes headers and static libraries for compiling
 programs with Mesa.
 .
 For a complete description of Mesa, please look at the libgl1-mesa-swx11
 package.

Package: mesa-common-dev
Section: libdevel
Architecture: all
Replaces: xlibmesa-gl-dev (<< 1:7), xlibosmesa-dev, libgl1-mesa-swx11-dev (<< 6.5.2), libgl1-mesa-dev (<< 6.5.2)
Depends: libx11-dev
Description: Developer documentation for Mesa
 This package includes the specifications for the Mesa-specific OpenGL
 extensions, the complete set of release notes and the development header
 files common to all Mesa packages.

Package: libosmesa6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Replaces: libgl1-mesa-swx11 (<< 6.5.2)
Description: Mesa Off-screen rendering extension
 OSmesa is a Mesa extension that allows programs to render to an
 off-screen buffer using the OpenGL API without having to create a
 rendering context on an X Server.  It uses a pure software renderer.
 .
 This package provides both 16-bit and 32-bit versions of the off-screen
 renderer which do not require external libraries to work.

Package: libosmesa6-dev
Section: libdevel
Architecture: any
Depends: libosmesa6 (= ${binary:Version}), mesa-common-dev (= ${source:Version}) | libgl-dev
Conflicts: xlibosmesa-dev, libosmesa4-dev, libosmesa-dev
Replaces: xlibosmesa-dev, libosmesa-dev, libgl1-mesa-swx11-dev (<< 6.5.2), mesa-common-dev (<< 6.5.2)
Provides: xlibosmesa-dev, libosmesa-dev
Description: Mesa Off-screen rendering extension -- development files
 This package provides the required environment for developing programs
 that use the off-screen rendering extension of Mesa.
 .
 For more information on OSmesa see the libosmesa6 package.

Package: libglu1-mesa
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libgl1-mesa-glx | libgl1

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian mesa package
# Copyright © 2006 Thierry Reding <thierry@gilfi.de>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

STAMP_DIR = debian/stamp

QUILT_STAMPFN = $(STAMP_DIR)/patch
include /usr/share/quilt/quilt.make

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_DIR      ?= $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)

export DEB_BUILD_ARCH

# choose which configurations to build
SWX11_GLU_CONFIGS =
DRI_CONFIGS =

include debian/scripts/choose-configs

# build the following configurations by default
CONFIGS = $(SWX11_GLU_CONFIGS) \
          $(DRI_CONFIGS) \
          debian-osmesa \
          debian-osmesa-static \
          debian-osmesa16 \
          debian-osmesa16-static \
          debian-osmesa32 \
          debian-osmesa32-static

STAMP = $(STAMP_DIR)/$(DEB_BUILD_GNU_TYPE)
BUILD_STAMPS = $(addprefix $(STAMP)-build-, $(CONFIGS))
ARCH_INSTALL_STAMPS = $(addprefix $(STAMP)-install-, $(CONFIGS))
INDEP_INSTALL_STAMPS = $(STAMP_DIR)/install-source

# list the configurations that will built
configs:
	@echo Building the following configurations: $(CONFIGS)

$(STAMP_DIR):
	dh_testdir
	mkdir -p $@

$(QUILT_STAMPFN): $(STAMP_DIR)


build: $(BUILD_STAMPS)

$(STAMP)-build-%: patch
	dh_testdir
	mkdir -p $(DEB_BUILD_DIR)/$*
	find $(CURDIR)/* -maxdepth 0 -not -path '$(DEB_BUILD_DIR)*' | \
		xargs cp -rlf -t $(DEB_BUILD_DIR)/$*
	ln -sf $* $(DEB_BUILD_DIR)/$*/configs/current
	cd $(DEB_BUILD_DIR)/$* && $(MAKE)
	touch $@

pre-install:
	dh_testdir
	dh_testroot
	dh_clean -k
	rm -rf $(INSTALL_STAMPS)

install: pre-install $(ARCH_INSTALL_STAMPS)

$(STAMP)-install-%: $(STAMP)-build-%
	# Add here commands to install the package into debian/tmp
	cd $(DEB_BUILD_DIR)/$* && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	touch $@

$(STAMP_DIR)/install-source: pre-install
	# install Mesa source for mesa-swx11-source package
	chmod a+x debian/scripts/install-source.sh
	debian/scripts/install-source.sh
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	dh_clean --exclude ./Makefile.orig
	rm -rf $(DEB_BUILD_DIR) $(STAMP_DIR)

# Build architecture-independent files here.
binary-indep: build install $(INDEP_INSTALL_STAMPS)
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install --sourcedir=debian/tmp --list-missing -i
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -s
	dh_installdocs -s
	dh_installexamples -s
	dh_install --sourcedir=debian/tmp --list-missing -s
	dh_installman -s
	dh_link -s
	dh_strip -plibgl1-mesa-swx11 --dbg-package=libgl1-mesa-swx11-dbg
	dh_strip -plibgl1-mesa-glx --dbg-package=libgl1-mesa-glx-dbg
	dh_strip -plibgl1-mesa-dri --dbg-package=libgl1-mesa-dri-dbg
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: configs build clean binary-indep binary-arch binary install configure

## mesa 7.0.3

=== progs/Makefile ===
# progs/Makefile

TOP = ..

include $(TOP)/configs/current

SUBDIRS = $(PROGRAM_DIRS)


default: message subdirs


message:
	@echo "Making programs for" $(CONFIG_NAME)


subdirs:
	@for dir in $(SUBDIRS) ; do \
		if [ -d $$dir ] ; then \
			(cd $$dir && $(MAKE)) || exit 1 ; \
		fi \
	done

# Dummy install target
install:

clean:
	@for dir in $(SUBDIRS) tests ; do \
		if [ -d $$dir ] ; then \
			(cd $$dir && $(MAKE) clean) ; \
		fi \
	done

=== progs/beos/Makefile ===
# progs/beos/Makefile

TOP = ../..
include $(TOP)/configs/current

# Makefile for BeOS demos

# Written by Brian Paul
# This file is in the public domain.
#
# Modified by Philippe Houdoin

LDFLAGS += -soname=_APP_

LIBS = -L$(TOP)/$(LIB_DIR) -l$(GLUT_LIB) -l$(GLU_LIB) -l$(GL_LIB) $(APP_LIB_DEPS)

INCLUDES = -I. -I- -I../../include

default: demo sample GLInfo

clean:
	rm -f demo sample GLInfo
	rm -f *.o

demo: demo.o
	$(LD) demo.o $(LDFLAGS) $(LIBS) -o $@

sample: sample.o
	$(LD) sample.o $(LDFLAGS) $(LIBS) -o $@

GTLInfo: GLInfo.o
	$(LD) GLInfo.o $(INCLUDES) $(LDFLAGS) $(LIBS) -o $@

.cpp.o:
	$(CC) -c $< $(INCLUDES) $(CFLAGS) -o $@

=== progs/fbdev/Makefile ===
# Makefile for miniglx demo programs

TOP = ../..

include $(TOP)/configs/current


SOURCES = glfbdevtest.c

OBJECTS = $(SOURCES:.c=.o)

PROGS = $(SOURCES:%.c=%)

INCLUDES = \
	-I. \
	-I$(TOP)/include

LIBS = -L$(TOP)/$(LIB_DIR) -l$(GLU_LIB) -l$(GL_LIB) $(APP_LIB_DEPS)

##### RULES #####

.SUFFIXES:
.SUFFIXES: .c

.c:
	$(CC) $(INCLUDES) $(CFLAGS) $(LDFLAGS) $< $(LIBS) -o $@

.c.o:
	$(CC) -c $(INCLUDES) $(CFLAGS) $< -o $@

.S.o:
	$(CC) -c $(INCLUDES) $(CFLAGS) $< -o $@


##### TARGETS #####

default:  depend $(PROGS)

clean:
	rm -f $(PROGS)
	rm -f *.o


depend: $(SOURCES)
	touch depend
	$(MKDEP) $(MKDEP_OPTIONS) $(INCLUDES) $(SOURCES) > /dev/null 


# Emacs tags
tags:
	etags `find . -name \*.[ch]` `find ../include`


include depend

=== src/mesa/x86-64/Makefile ===
# src/mesa/x86-64/Makefile

TOP = ../../..

include $(TOP)/configs/current



INCLUDE_DIRS = \
	-I$(TOP)/include/GL \
	-I$(TOP)/include \
	-I.. \
	-I../main \
	-I../math \
	-I../glapi \
	-I../tnl


default: matypes.h

clean:
	rm -f matypes.h


# need some special rules here, unfortunately
matypes.h: ../main/mtypes.h ../tnl/t_context.h ../x86/gen_matypes
	../x86/gen_matypes | grep -v '#include "assyntax.h' > matypes.h

xform4.o: matypes.h

=== src/mesa/x86/Makefile ===
# src/mesa/x86/Makefile

TOP = ../../..
include $(TOP)/configs/current


INCLUDE_DIRS = \
	-I$(TOP)/include/GL \
	-I$(TOP)/include \
	-I.. \
	-I../main \
	-I../math \
	-I../glapi \
	-I../tnl


default: gen_matypes matypes.h

clean:
	rm -f matypes.h gen_matypes


gen_matypes: gen_matypes.c
	$(CC) $(INCLUDE_DIRS) $(CFLAGS) gen_matypes.c -o gen_matypes

# need some special rules here, unfortunately
matypes.h: ../main/mtypes.h ../tnl/t_context.h gen_matypes
	./gen_matypes > matypes.h

common_x86_asm.o: matypes.h
3dnow_normal.o: matypes.h
3dnow_xform1.o: matypes.h
3dnow_xform2.o: matypes.h
3dnow_xform3.o: matypes.h
3dnow_xform4.o: matypes.h
mmx_blend.o: matypes.h
sse_normal.o: matypes.h
sse_xform1.o: matypes.h
sse_xform2.o: matypes.h
sse_xform3.o: matypes.h
sse_xform4.o: matypes.h
x86_cliptest.o: matypes.h
x86_xform2.o: matypes.h
x86_xform3.o: matypes.h
x86_xform4.o: matypes.h

=== src/mesa/drivers/beos/Makefile ===
# src/mesa/drivers/beos/Makefile

TOP = ../../../..
include $(TOP)/configs/current

include $(TOP)/src/mesa/sources

MESA_MODULES = $(TOP)/src/mesa/mesa.a
# To switch back to old Mesa GLU implementation (but why do
# you want this!), uncomment this next line:

# GLU_DIR	= $(TOP)/src/glu/mesa
ifeq ($(GLU_DIR),)
# By default, we build the SGI GLU implementation
	GLU_DIR = $(TOP)/src/glu/sgi
endif

ifeq ($(GLU_DIR), $(TOP)/src/glu/mesa)
	GLU_MODULES = \
		$(GLU_DIR)/glu.o \
		$(GLU_DIR)/mipmap.o \
		$(GLU_DIR)/nurbs.o \
		$(GLU_DIR)/nurbscrv.o \
		$(GLU_DIR)/nurbssrf.o \
		$(GLU_DIR)/nurbsutl.o \
		$(GLU_DIR)/polytest.o \
		$(GLU_DIR)/project.o \
		$(GLU_DIR)/quadric.o \
		$(GLU_DIR)/tess.o \
		$(GLU_DIR)/tesselat.o
else
	GLU_MODULES = \
		$(GLU_DIR)/libutil/error.o \
		$(GLU_DIR)/libutil/glue.o \
		$(GLU_DIR)/libutil/mipmap.o	\
		$(GLU_DIR)/libutil/project.o \
		$(GLU_DIR)/libutil/quad.o \
		$(GLU_DIR)/libutil/registry.o \
		$(GLU_DIR)/libtess/dict.o \
		$(GLU_DIR)/libtess/geom.o \
		$(GLU_DIR)/libtess/memalloc.o \
		$(GLU_DIR)/libtess/mesh.o \
		$(GLU_DIR)/libtess/normal.o	\
		$(GLU_DIR)/libtess/priorityq.o \
		$(GLU_DIR)/libtess/render.o	\
		$(GLU_DIR)/libtess/sweep.o \
		$(GLU_DIR)/libtess/tess.o \
		$(GLU_DIR)/libtess/tessmono.o \
		$(GLU_DIR)/libnurbs/interface/bezierEval.o		\
		$(GLU_DIR)/libnurbs/interface/bezierPatch.o		\
		$(GLU_DIR)/libnurbs/interface/bezierPatchMesh.o		\
		$(GLU_DIR)/libnurbs/interface/glcurveval.o		\
		$(GLU_DIR)/libnurbs/interface/glinterface.o		\
		$(GLU_DIR)/libnurbs/interface/glrenderer.o		\
		$(GLU_DIR)/libnurbs/interface/glsurfeval.o		\
		$(GLU_DIR)/libnurbs/interface/incurveeval.o		\
		$(GLU_DIR)/libnurbs/interface/insurfeval.o		\
		$(GLU_DIR)/libnurbs/internals/arc.o			\
		$(GLU_DIR)/libnurbs/internals/arcsorter.o			\
		$(GLU_DIR)/libnurbs/internals/arctess.o			\
		$(GLU_DIR)/libnurbs/internals/backend.o			\
		$(GLU_DIR)/libnurbs/internals/basiccrveval.o		\
		$(GLU_DIR)/libnurbs/internals/basicsurfeval.o		\
		$(GLU_DIR)/libnurbs/internals/bin.o			\
		$(GLU_DIR)/libnurbs/internals/bufpool.o			\
		$(GLU_DIR)/libnurbs/internals/cachingeval.o		\
		$(GLU_DIR)/libnurbs/internals/ccw.o			\
		$(GLU_DIR)/libnurbs/internals/coveandtiler.o		\
		$(GLU_DIR)/libnurbs/internals/curve.o			\
		$(GLU_DIR)/libnurbs/internals/curvelist.o			\
		$(GLU_DIR)/libnurbs/internals/curvesub.o			\
		$(GLU_DIR)/libnurbs/internals/dataTransform.o		\
		$(GLU_DIR)/libnurbs/internals/displaylist.o		\
		$(GLU_DIR)/libnurbs/internals/flist.o			\
		$(GLU_DIR)/libnurbs/internals/flistsorter.o		\
		$(GLU_DIR)/libnurbs/internals/hull.o			\
		$(GLU_DIR)/libnurbs/internals/intersect.o			\
		$(GLU_DIR)/libnurbs/internals/knotvector.o		\
		$(GLU_DIR)/libnurbs/internals/mapdesc.o			\
		$(GLU_DIR)/libnurbs/internals/mapdescv.o			\
		$(GLU_DIR)/libnurbs/internals/maplist.o			\
		$(GLU_DIR)/libnurbs/internals/mesher.o			\
		$(GLU_DIR)/libnurbs/internals/monoTriangulationBackend.o	\
		$(GLU_DIR)/libnurbs/internals/monotonizer.o		\
		$(GLU_DIR)/libnurbs/internals/mycode.o			\
		$(GLU_DIR)/libnurbs/internals/nurbsinterfac.o		\
		$(GLU_DIR)/libnurbs/internals/nurbstess.o			\
		$(GLU_DIR)/libnurbs/internals/patch.o			\
		$(GLU_DIR)/libnurbs/internals/patchlist.o			\
		$(GLU_DIR)/libnurbs/internals/quilt.o			\
		$(GLU_DIR)/libnurbs/internals/reader.o			\
		$(GLU_DIR)/libnurbs/internals/renderhints.o		\
		$(GLU_DIR)/libnurbs/internals/slicer.o			\
		$(GLU_DIR)/libnurbs/internals/sorter.o			\
		$(GLU_DIR)/libnurbs/internals/splitarcs.o			\
		$(GLU_DIR)/libnurbs/internals/subdivider.o		\
		$(GLU_DIR)/libnurbs/internals/tobezier.o			\
		$(GLU_DIR)/libnurbs/internals/trimline.o			\
		$(GLU_DIR)/libnurbs/internals/trimregion.o		\
		$(GLU_DIR)/libnurbs/internals/trimvertpool.o		\
		$(GLU_DIR)/libnurbs/internals/uarray.o			\
		$(GLU_DIR)/libnurbs/internals/varray.o			\
		$(GLU_DIR)/libnurbs/nurbtess/directedLine.o		\
		$(GLU_DIR)/libnurbs/nurbtess/gridWrap.o			\
		$(GLU_DIR)/libnurbs/nurbtess/monoChain.o			\
		$(GLU_DIR)/libnurbs/nurbtess/monoPolyPart.o		\
		$(GLU_DIR)/libnurbs/nurbtess/monoTriangulation.o		\
		$(GLU_DIR)/libnurbs/nurbtess/partitionX.o			\
		$(GLU_DIR)/libnurbs/nurbtess/partitionY.o			\
		$(GLU_DIR)/libnurbs/nurbtess/polyDBG.o			\
		$(GLU_DIR)/libnurbs/nurbtess/polyUtil.o			\
		$(GLU_DIR)/libnurbs/nurbtess/primitiveStream.o		\
		$(GLU_DIR)/libnurbs/nurbtess/quicksort.o			\
		$(GLU_DIR)/libnurbs/nurbtess/rectBlock.o			\
		$(GLU_DIR)/libnurbs/nurbtess/sampleComp.o			\
		$(GLU_DIR)/libnurbs/nurbtess/sampleCompBot.o		\
		$(GLU_DIR)/libnurbs/nurbtess/sampleCompRight.o		\
		$(GLU_DIR)/libnurbs/nurbtess/sampleCompTop.o		\
		$(GLU_DIR)/libnurbs/nurbtess/sampleMonoPoly.o		\
		$(GLU_DIR)/libnurbs/nurbtess/sampledLine.o		\
		$(GLU_DIR)/libnurbs/nurbtess/searchTree.o
endif

INCLUDES = \
	-I../common \
	-I$(TOP)/src/mesa \
	-I$(TOP)/src/mesa/array_cache \
	-I$(TOP)/src/mesa/main \
	-I$(TOP)/src/mesa/glapi \
	-I$(TOP)/src/mesa/math \
	-I$(TOP)/src/mesa/shader \
	-I$(TOP)/src/mesa/swrast \
	-I$(TOP)/src/mesa/swrast_setup \
	-I$(TOP)/src/mesa/tnl \
	-I$(TOP)/src/mesa/tnl_dd \
	-I$(TOP)/src/mesa/x86 \
	-I. \
	-I- \
	-I$(TOP)/include

DRIVER_SOURCES = \
	GLView.cpp \
	../common/driverfuncs.c \
	$(addprefix ../../, $(GLAPI_SOURCES))

ifeq ($(CPU), x86)
	DRIVER_SOURCES += $(addprefix ../../, $(X86_API))
else
# No GL API PPC optimization yet
endif 

DRIVER_OBJECTS = $(DRIVER_SOURCES:.c=.o)
DRIVER_OBJECTS := $(DRIVER_OBJECTS:.S=.o)

OBJECTS := $(DRIVER_OBJECTS:.cpp=.o)


# Rules

.c.o:
	$(CC) $(INCLUDES) $(CFLAGS) -c $< -o $@

.cpp.o:
	$(CC) $(INCLUDES) $(CFLAGS) -c $< -o $@

.S.o:
	$(CC) $(INCLUDES) $(CFLAGS) -c $< -o $@


default: depend $(TOP)/$(LIB_DIR) $(TOP)/$(LIB_DIR)/$(GL_LIB_NAME)

$(MESA_MODULES):
	cd $(TOP)/src/mesa; $(MAKE) mesa.a ;

$(GLU_MODULES):
	cd $(GLU_DIR); $(MAKE) $(subst $(GLU_DIR)/,,$(GLU_MODULES)) ; 

$(TOP)/$(LIB_DIR):
	mkdir $(TOP)/$(LIB_DIR)

$(TOP)/$(LIB_DIR)/$(GL_LIB_NAME): $(OBJECTS) $(MESA_MODULES) $(GLU_MODULES)
	@$(TOP)/bin/mklib -o $(GL_LIB) -ldflags '$(LDFLAGS)' -install $(TOP)/$(LIB_DIR) \
		-major $(MESA_MAJOR) -minor $(MESA_MINOR) -patch $(MESA_TINY) \
		$(MKLIB_OPTIONS) $(GL_LIB_DEPS) $(OBJECTS) $(MESA_MODULES) $(GLU_MODULES)

# $(GLU_OBJECTS):
#	cd $(GLU_DIR); $(MAKE) $< ;

depend: $(DRIVER_SOURCES) $(GLU_SOURCES)
	touch depend
	$(MKDEP) $(MKDEP_OPTIONS) $(INCLUDES) $(DRIVER_SOURCES) $(GLU_SOURCES) > /dev/null 

clean:
	rm -f depend $(OBJECTS)

include depend

=== src/mesa/drivers/directfb/Makefile ===
# src/mesa/drivers/directfb/Makefile

TOP = ../../../..

include $(TOP)/configs/current


INCLUDE_DIRS = \
	-I$(TOP)/include \
	-I$(TOP)/src/mesa \
	-I$(TOP)/src/mesa/main \
	-I$(TOP)/src/mesa/glapi \
	-I$(TOP)/src/mesa/math \
	-I$(TOP)/src/mesa/tnl \
	-I$(TOP)/src/mesa/shader \
	-I$(TOP)/src/mesa/swrast \
	-I$(TOP)/src/mesa/swrast_setup

DFB_CFLAGS    = $(shell pkg-config --cflags directfb)
DFB_MODULEDIR = $(shell pkg-config --variable=moduledir directfb-internal)

DIRECTFBGL_MESA_SOURCES = ../common/driverfuncs.c idirectfbgl_mesa.c

DIRECTFBGL_MESA_OBJECTS = $(DIRECTFBGL_MESA_SOURCES:.c=.o)

DIRECTFBGL_MESA = libidirectfbgl_mesa.so

.c.o:
	$(CC) -c $(INCLUDE_DIRS) $(CFLAGS) $(DFB_CFLAGS) $< -o $@


default: directfbgl_mesa

# Mesa DirectFBGL module
directfbgl_mesa: $(DIRECTFBGL_MESA_OBJECTS)
	$(CC) -shared $(CFLAGS) $(DIRECTFBGL_MESA_OBJECTS) -o $(DIRECTFBGL_MESA) \
	-Wl,-soname -Wl,$(DIRECTFBGL_MESA) -L$(TOP)/$(LIB_DIR) -lGL -lm


install:
	@if test -d $(DFB_MODULEDIR); then \
		echo "Installing DirectFBGL module."; \
	else \
		echo "*** Failed to determine DirectFB module's directory."; \
		echo "*** Installation aborted."; \
		exit 1; \
	fi;
	test -d $(DFB_MODULEDIR)/interfaces/IDirectFBGL/ || mkdir $(DFB_MODULEDIR)/interfaces/IDirectFBGL/
	install -m 755 $(DIRECTFBGL_MESA) $(DFB_MODULEDIR)/interfaces/IDirectFBGL/


clean:
	rm -f *.o *.so

=== src/mesa/drivers/dri/fb/Makefile ===
# src/mesa/drivers/dri/fb/Makefile

TOP = ../../../../..
include $(TOP)/configs/current

LIBNAME = fb_dri.so

ifeq ($(USING_EGL), 1)
EGL_SOURCES = server/radeon_egl.c
endif

DRIVER_SOURCES = \
	fb_dri.c \
	$(EGL_SOURCES)


C_SOURCES = \
	$(COMMON_SOURCES) \
	$(DRIVER_SOURCES)

ASM_SOURCES = 

# XXX not 100% sure this is right
#WINDOW_SYSTEM = solo

include ../Makefile.template

symlinks:
